module.exports = {
  plugins: [
    // class { handleClick = () => { } }
    require.resolve('babel-plugin-transform-class-properties'),
    // export * as ns from 'mod'
    // export v from 'mod'
    require.resolve('babel-plugin-transform-export-extensions'),
    // { ...todo, completed: true }
    require.resolve('babel-plugin-transform-object-rest-spread'),
    // https://webpack.js.org/guides/migrating/#code-splitting-with-es2015
    require.resolve('babel-plugin-syntax-dynamic-import'),
    // Adds component stack to warning messages
    require.resolve('babel-plugin-transform-react-jsx-source'),
    // Adds __self attribute to JSX which React will use for some warnings
    require.resolve('babel-plugin-transform-react-jsx-self'),
  ],
  presets: [
    require.resolve('babel-preset-react'),
  ],
}
